[Overview][Classes][Index] | Reference for unit 'CustomDrawn_Common' (#lcl)

# TCDDrawerCommon.CalculatePreferredSize

## Declaration

Source position: customdrawn_common.pas line 31

`public procedure TCDDrawerCommon.CalculatePreferredSize(`
`ADest: TCanvas;`
`AControlId: TCDControlID;`
`AState: TCDControlState;`
`AStateEx: TCDControlStateEx;`
`var PreferredWidth: Integer;`
`var PreferredHeight: Integer;`
`WithThemeSpace: Boolean;`
`AAllowUseOfMeasuresEx: Boolean`
`); override;`